View Issue Details

IDProjectCategoryView StatusLast Update
0001075Main CAcert Websiteweb of trustpublic2013-01-15 18:20
ReporterINOPIAE Assigned ToNEOatNHNG  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2012 Q3 
Summary0001075: On the assure someone page the links to the CAP-forms do not work
DescriptionWhen you are on the page to assure someone there is the last line showing:

WoT Form: A4 - WoT Form US - WoT Form

Both links do not work properly. They are pointing to the wrong pages.

They either should be fixed or deleted.
Additional InformationThe function makecap in line 20-22 wot-6.php does not give an result as it is empty.
Therefor is the line 64 with an empty variable $cap which is responsible for the strange behavior.
TagsNo tags attached.
Reviewed bydastrath, NEOatNHNG
Test Instructions

Activities

INOPIAE

2012-07-16 16:55

updater   ~0003091

We got a second support ticket to that case "s20120716.152"

"auf der deutschsprachigen Website funktioniert unter "Jemanden bestätigen" der Download
des bereits ausgefüllten WoT-Formulars für die entsprechende Person nicht.
Es wird nur eine Blank Page aufgerufen. Dies betrifft sowohl das Format A4 als auch das
US-Letter Format.

Da dieses Feature sehr komfortabel war - könnte das behoben werden?"

NEOatNHNG

2012-07-17 22:26

administrator   ~0003094

I have removed the links to the CAP forms. Please test and do a second review.

Uli60

2012-07-17 22:27

updater   ~0003095

1. [[https://bugs.cacert.org/view.php?id=1075|bug 0001075]] cap form link wrong under pages/wot/6.php
  * data protection problem to pickup user data before assurance f2f meeting starts
  * what does assurance process means? assurance "process" starts from request of assuree to an assurer to do an assurance over assuree
  * problem in ttp process too, to have a view over data before f2f meeting and signed cap is in the hands of an assurer. ttp-admin can request confirmation from ttp-user to access online data
  * simple patch: remove cap link
  * edited by NEO: transfered to testserver

from https://wiki.cacert.org/Software/Assessment/20120717-S-A-MiniTOP

INOPIAE

2012-07-17 22:29

updater   ~0003096

The link to the CAp forms is not visible any more.
=> OK test successful

Uli60

2012-07-17 22:29

updater   ~0003097

login with assurer
assure someone
assuree data form displays
user data
last line before buttons "I confirm this assurance" and "Cancel"
show no more WoT ... cap link line
=> ok

MartinGummi

2012-07-24 21:19

updater   ~0003103

==> OK test successful

NEOatNHNG

2012-07-24 22:15

administrator   ~0003108

Patch reviewed by Dirk in Software Assessment meeting.

Mail sent to critical admins.

wytze

2012-07-25 15:22

developer   ~0003114

The fix has been installed on the production server on July 25, 2012. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2012-07/msg00006.html

Werner Dworak

2012-12-21 06:21

updater   ~0003537

More than 3 month fixed and no complaints

Issue History

Date Modified Username Field Change
2012-06-22 09:41 INOPIAE New Issue
2012-07-16 16:55 INOPIAE Note Added: 0003091
2012-07-16 17:21 INOPIAE Additional Information Updated View Revisions
2012-07-17 22:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 96a34ac6
2012-07-17 22:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver c661efc9
2012-07-17 22:26 NEOatNHNG Reviewed by => NEOatNHNG
2012-07-17 22:26 NEOatNHNG Note Added: 0003094
2012-07-17 22:26 NEOatNHNG Assigned To => egal
2012-07-17 22:26 NEOatNHNG Status new => needs review & testing
2012-07-17 22:27 Uli60 Note Added: 0003095
2012-07-17 22:29 INOPIAE Note Added: 0003096
2012-07-17 22:29 Uli60 Note Added: 0003097
2012-07-24 21:19 MartinGummi Note Added: 0003103
2012-07-24 22:15 NEOatNHNG Reviewed by NEOatNHNG => dastrath, NEOatNHNG
2012-07-24 22:15 NEOatNHNG Note Added: 0003108
2012-07-24 22:15 NEOatNHNG Status needs review & testing => ready to deploy
2012-07-24 23:30 Uli60 Assigned To egal => NEOatNHNG
2012-07-25 00:30 NEOatNHNG Source_changeset_attached => cacert-devel release 9fe4952e
2012-07-25 15:22 wytze Note Added: 0003114
2012-07-25 15:22 wytze Status ready to deploy => solved?
2012-07-25 15:22 wytze Resolution open => fixed
2012-12-21 06:21 Werner Dworak Note Added: 0003537
2012-12-21 06:21 Werner Dworak Status solved? => closed
2013-01-15 18:20 Werner Dworak Fixed in Version => 2012 Q3